netbeans_10.0-3_all.deb


Advertisement

Description

netbeans - Extensible Java IDE

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename netbeans_10.0-3_all.deb
Package name netbeans
Package version 10.0
Package release 3
Package architecture all
Package type deb
Category universe/java
Homepage https://netbeans.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 568.69 KB
Installed size 2.12 MB
Integrated Development Environment for software developers. It supports
development of desktop, enterprise, web, and mobile applications. Package
includes the Base IDE, Java Development Tools and Plug-in Development Tools.
Support for PHP, Ruby, C/C++, Java EE and others can be added.

Alternatives

Package Version Architecture Repository
netbeans_10.0-3ubuntu2~18.04.1_all.deb 10.0 all Ubuntu Updates Universe
netbeans_10.0-3ubuntu2~18.04.1_all.deb 10.0 all Ubuntu Updates Universe
netbeans_10.0-3_all.deb 10.0 all Ubuntu Universe
netbeans - - -

Requires

Name Value
default-jdk -
java8-sdk -
libnb-apisupport3-java = 10.0-3
libnb-ide14-java = 10.0-3
libnb-java5-java = 10.0-3
libnb-platform18-java >= 10

Download

Type URL
Mirror archive.ubuntu.com
Binary Package netbeans_10.0-3_all.deb
Source Package netbeans

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install netbeans deb package:
    # sudo apt-get install netbeans

Files

Path
/etc/netbeans.clusters
/etc/netbeans.conf
/etc/netbeans.import
/usr/bin/netbeans
/usr/share/applications/netbeans.desktop
/usr/share/doc/netbeans/changelog.Debian.gz
/usr/share/doc/netbeans/copyright
/usr/share/icons/hicolor/256x256/apps/netbeans.png
/usr/share/lintian/overrides/netbeans
/usr/share/man/man1/netbeans.1.gz
/usr/share/netbeans/CREDITS.html
/usr/share/netbeans/README.html
/usr/share/netbeans/netbeans.css
/usr/share/netbeans/10.0/apisupport
/usr/share/netbeans/10.0/harness
/usr/share/netbeans/10.0/ide
/usr/share/netbeans/10.0/java
/usr/share/netbeans/10.0/platform
/usr/share/netbeans/10.0/bin/netbeans
/usr/share/netbeans/10.0/etc/netbeans.clusters
/usr/share/netbeans/10.0/etc/netbeans.conf
/usr/share/netbeans/10.0/etc/netbeans.import
/usr/share/netbeans/10.0/nb/.lastModified
/usr/share/netbeans/10.0/nb/.noautoupdate
/usr/share/netbeans/10.0/nb/VERSION.txt
/usr/share/netbeans/10.0/nb/build_info
/usr/share/netbeans/10.0/nb/netbeans.icns
/usr/share/netbeans/10.0/nb/netbeans.png
/usr/share/netbeans/10.0/nb/shortcuts.pdf
/usr/share/netbeans/10.0/nb/shortcuts_mac.pdf
/usr/share/netbeans/10.0/nb/config/productid
/usr/share/netbeans/10.0/nb/config/Modules/org-netbeans-modules-autoupdate-pluginimporter.xml
/usr/share/netbeans/10.0/nb/config/Modules/org-netbeans-modules-deadlock-detector.xml
/usr/share/netbeans/10.0/nb/config/Modules/org-netbeans-modules-ide-branding-kit.xml
/usr/share/netbeans/10.0/nb/config/Modules/org-netbeans-modules-ide-branding.xml
/usr/share/netbeans/10.0/nb/config/Modules/org-netbeans-modules-uihandler-exceptionreporter.xml
/usr/share/netbeans/10.0/nb/config/Modules/org-netbeans-modules-updatecenters.xml
/usr/share/netbeans/10.0/nb/config/Modules/org-netbeans-modules-welcome.xml
/usr/share/netbeans/10.0/nb/core/ide.ks
/usr/share/netbeans/10.0/nb/core/org-netbeans-upgrader.jar
/usr/share/netbeans/10.0/nb/core/locale/core_nb.jar
/usr/share/netbeans/10.0/nb/docs/GUIExamplesDescription.html
/usr/share/netbeans/10.0/nb/docs/SwingInteropDescription.html
/usr/share/netbeans/10.0/nb/docs/netbeans.css
/usr/share/netbeans/10.0/nb/docs/images/background.png
/usr/share/netbeans/10.0/nb/docs/images/banner-left.png
/usr/share/netbeans/10.0/nb/docs/images/banner-right.png
/usr/share/netbeans/10.0/nb/docs/images/blue.png
/usr/share/netbeans/10.0/nb/docs/images/circle1.gif
/usr/share/netbeans/10.0/nb/docs/images/circle2.gif
/usr/share/netbeans/10.0/nb/docs/images/circle3.gif
/usr/share/netbeans/10.0/nb/docs/images/circle4.gif
/usr/share/netbeans/10.0/nb/docs/images/circle5.gif
/usr/share/netbeans/10.0/nb/docs/images/circle6.gif
/usr/share/netbeans/10.0/nb/docs/images/down-left.png
/usr/share/netbeans/10.0/nb/docs/images/down-right.png
/usr/share/netbeans/10.0/nb/docs/images/spacer.png
/usr/share/netbeans/10.0/nb/docs/images/up-left.png
/usr/share/netbeans/10.0/nb/docs/images/up-right.png
/usr/share/netbeans/10.0/nb/modules/org-netbeans-modules-autoupdate-pluginimporter.jar
/usr/share/netbeans/10.0/nb/modules/org-netbeans-modules-deadlock-detector.jar
/usr/share/netbeans/10.0/nb/modules/org-netbeans-modules-ide-branding-kit.jar
/usr/share/netbeans/10.0/nb/modules/org-netbeans-modules-ide-branding.jar
/usr/share/netbeans/10.0/nb/modules/org-netbeans-modules-uihandler-exceptionreporter.jar
/usr/share/netbeans/10.0/nb/modules/org-netbeans-modules-updatecenters.jar
/usr/share/netbeans/10.0/nb/modules/org-netbeans-modules-welcome.jar
/usr/share/netbeans/10.0/nb/modules/ext/locale/updater_nb.jar
/usr/share/netbeans/10.0/nb/modules/locale/org-netbeans-core-netigso_nb.jar
/usr/share/netbeans/10.0/nb/modules/locale/org-netbeans-core-ui_nb.jar
/usr/share/netbeans/10.0/nb/modules/locale/org-netbeans-core-windows_nb.jar
/usr/share/netbeans/10.0/nb/modules/locale/org-netbeans-core_nb.jar
/usr/share/netbeans/10.0/nb/modules/locale/org-netbeans-modules-autoupdate-ui_nb.jar
/usr/share/netbeans/10.0/nb/modules/locale/org-netbeans-modules-options-api_nb.jar
/usr/share/netbeans/10.0/nb/modules/locale/org-netbeans-modules-uihandler_nb.jar
/usr/share/netbeans/10.0/nb/modules/locale/org-netbeans-spi-quicksearch_nb.jar
/usr/share/netbeans/10.0/nb/update_tracking/org-netbeans-modules-autoupdate-pluginimporter.xml
/usr/share/netbeans/10.0/nb/update_tracking/org-netbeans-modules-deadlock-detector.xml
/usr/share/netbeans/10.0/nb/update_tracking/org-netbeans-modules-ide-branding-kit.xml
/usr/share/netbeans/10.0/nb/update_tracking/org-netbeans-modules-ide-branding.xml
/usr/share/netbeans/10.0/nb/update_tracking/org-netbeans-modules-uihandler-exceptionreporter.xml
/usr/share/netbeans/10.0/nb/update_tracking/org-netbeans-modules-updatecenters.xml
/usr/share/netbeans/10.0/nb/update_tracking/org-netbeans-modules-welcome.xml
/usr/share/netbeans/10.0/nb/update_tracking/org-netbeans-upgrader.xml
/usr/share/netbeans/10.0/nb/var/license_accepted

Changelog

2019-02-28 - Markus Koschany <apo@debian.org>
netbeans (10.0-3) unstable; urgency=medium
* Drop javaewah-version.patch
* Tighten dependency on libjavaewah-java (>= 0.7.9)
* Start new changelog entry
* Disable the javafx.cluster because JavaFX will not work with OpenJDK 11 and
Netbeans 10.
Update nb-javac.patch and hide some classes from the CLASSPATH. nb-javac
needs to override classfiles in the JDK and some OSGi metadata is only
present in the prebuilt version from the plugin portal. This has to be
added to fix the sealing violation error.
Thanks to Jan Lahoda and Jaroslav Tulach for the help and support.
(Closes: #920707)
2019-01-27 - Markus Koschany <apo@debian.org>
netbeans (10.0-2) unstable; urgency=medium
* Replace NoJavacHelper.patch with Unsafe.patch which is much better.
* Fix broken subversion support by symlinking all necessary system jars to
the ide cluster.
* Remove netbeans-slf4j.dummy.patch again.
* Add nb-javac.patch. The nb-javac module is not properly detected. This
patch adds the necessary jar files to the Class-Path. However now there is
an Unexpected Exception, a sealing violation. It appears to be harmless
but the notification at startup is irritating.
2019-01-25 - Markus Koschany <apo@debian.org>
netbeans (10.0-1) unstable; urgency=medium
* New upstream version 10.0.
- Fixes CVE-2016-5537. (Closes: #852029)
- Fix Netbeans is not starting. (Closes: #894715)
- Fix broken symlinks. (Closes: #857955)
* Declare compliance with Debian Policy 4.3.0.
* Use canonical VCS URI.
* Remove w3c-sgm-lib and libpostgresql-jdbc-java dependencies.
* Drop libmysql-java dependency. (Closes: #913362)
2018-06-06 - Markus Koschany <apo@debian.org>
netbeans (8.1+dfsg3-5) unstable; urgency=medium
* Update osgi-update.patch and sync it with the latest version of
libequinox-osgi-java. (Closes: #891957)
* Build-depend and depend on openjdk-8-jdk, otherwise Netbeans will not work.
* Build-conflict against OpenJDK 10 and OpenJDK 11.
* Declare compliance with Debian Policy 4.1.4.
* Switch to compat level 11.
2017-07-24 - Markus Koschany <apo@debian.org>
netbeans (8.1+dfsg3-4) unstable; urgency=medium
* Really update jna-4.4.0-compatibility.patch and fix FTBFS with JNA 4.4.0.
2017-07-23 - Markus Koschany <apo@debian.org>
netbeans (8.1+dfsg3-3) unstable; urgency=medium
* Switch to compat level 10.
* Use https for Format field.
* Add jna-4.4.0-compatibility.patch and fix FTBFS with JNA 4.4.0.
Thanks to Lucas Nussbaum for the report. (Closes: #868931)
* Add StartupWMClass=NetBeans IDE 8.1 to netbeans.desktop.
This will prevent that a second Netbeans icon will show up in favorite bars.
Thanks to Phil Wyett for the report. (Closes: #865715) (LP: #1550276)
* Declare compliance with Debian Policy 4.0.0.
* Drop deprecated menu file and xpm icon.
2017-04-20 - Markus Koschany <apo@debian.org>
netbeans (8.1+dfsg3-2) unstable; urgency=medium
[ Markus Koschany ]
* Add missing dependencies to libnb-ide14-java.
Thanks to Andreas Beckmann for the report. (Closes: #857955)
* Fix ClassNotFoundException: org.jcodings.Encoding.
See https://netbeans.org/bugzilla/show_bug.cgi?id=256166
* Update orig-tar script and use $BASE variable.
* Use jdk8.builds option consistently.
* Add README.Debian file.
[ Emmanuel Bourg ]
* Switch back to libcglib-java.
2016-05-26 - Markus Koschany <apo@debian.org>
netbeans (8.1+dfsg3-1) unstable; urgency=medium
* Symlink asm-all.jar to libs.nashorn module.
* Switch from libasm4-java to libasm-java.
* orig-tar.sh: Remove W3C spec files from tarball. (Closes: #823813)
* Clarify license of ClassManager.js and remove PHP testfiles.
(Closes: #823812)
* Declare compliance with Debian Policy 3.9.8.
2016-03-08 - Markus Koschany <apo@debian.org>
netbeans (8.1+dfsg2-3) unstable; urgency=medium
* Tighten versioned dependency on default-jdk to >= 2:1.8.

See Also

Package Description
netcat-traditional_1.10-41.1_amd64.deb TCP/IP swiss army knife
netcat_1.10-41.1_all.deb TCP/IP swiss army knife -- transitional package
netcdf-bin_4.6.2-1build1_amd64.deb Programs for reading and writing NetCDF files
netcdf-doc_4.6.2-1build1_all.deb Documentation for NetCDF
netcf_0.2.8-1ubuntu3_amd64.deb programs for the netcf library
netconfd-module-ietf-interfaces_2.11-1build1_amd64.deb SIL module for netconfd implementing ietf-interfaces.yang
netconfd-module-ietf-system_2.11-1build1_amd64.deb SIL module for netconfd implementing ietf-system.yang
netconfd_2.11-1build1_amd64.deb NETCONF (RFC-6241) agent
netconsole_0.2-1_all.deb Dynamically configure Linux netconsole
netdata-core_1.12.2-2_amd64.deb real-time performance monitoring (core)
netdata-plugins-bash_1.12.2-2_all.deb real-time performance monitoring (bash plugins)
netdata-plugins-nodejs_1.12.2-2_all.deb real-time performance monitoring (nodejs plugins)
netdata-plugins-python_1.12.2-2_all.deb real-time performance monitoring (python plugins)
netdata-web_1.12.2-2_all.deb real-time performance monitoring (web)
netdata_1.12.2-2_all.deb real-time performance monitoring (metapackage)
Advertisement
Advertisement